/*
	iaskdic.h
	Copyright (C) 1996,97 ACCESS Co.,Ltd.
	All rights reserved.
*/

/* $Header: /NetFront/AskDic/iaskdic.h 2     97/09/26 20:41 Katoh $ */

#ifndef ASK_IASKDIC
#define ASK_IASKDIC


/*
	辞書サイズを指定する(以下のdefineのいずれか一つのみを有効にすること)
		Small辞書	332kバイト
		Normal辞書	612kバイト
*/
/*#define ASK_DIC_NORMAL*/
#define ASK_DIC_SMALL


/* ASK辞書ROM 制御関数 */
int FAskRom_Open(char *in_filename, int in_mode);
int FAskRom_Close(int in_stream);
int FAskRom_Read(int in_stream, unsigned char *out_buf, int in_buflen);
int FAskRom_Write(int in_stream, unsigned char *in_buf, int in_buflen);
long FAskRom_Seek(int in_stream, long in_posx, int in_mdx);

#endif
